API Reference
Dialer

List a campaign's contacts

GET
/v1/dialer/campaigns/{id}/contacts

Newest first, cursor-paginated.

Authorization

bearerAuth
AuthorizationBearer <token>

Long-lived ES256 JWT minted from the dashboard (https://app.sautikit.com/developers/api-keys). Signed by the platform keyring. Carries workspace_id and scopes claims; revoked via the platform deny-list.

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

cursor?string

Opaque next_cursor from the previous page.

limit?integer
Range1 <= value <= 200
Default50
status?string

Value in

  • "queued"
  • "calling"
  • "connected"
  • "waiting_retry"
  • "completed"
  • "exhausted"
  • "suppressed"
  • "canceled"
  • "callback"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/dialer/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/contacts"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "phone": "string",      "external_ref": "string",      "fields": {},      "callback_url": "string",      "timezone": "string",      "status": "queued",      "attempts": 0,      "next_attempt_at": "2019-08-24T14:15:22Z",      "callback_at": "2019-08-24T14:15:22Z",      "priority": 0,      "last_result": "string",      "created_at": "2019-08-24T14:15:22Z",      "best_hour": 0    }  ],  "next_cursor": "string"}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string",    "details": [      "string"    ],    "resolution": "string",    "reason": "invalid_characters",    "suggested_e164": "+254727524723"  }}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string",    "details": [      "string"    ],    "resolution": "string",    "reason": "invalid_characters",    "suggested_e164": "+254727524723"  }}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string",    "details": [      "string"    ],    "resolution": "string",    "reason": "invalid_characters",    "suggested_e164": "+254727524723"  }}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string",    "details": [      "string"    ],    "resolution": "string",    "reason": "invalid_characters",    "suggested_e164": "+254727524723"  }}